Subject: Re: bug#21969: VC opens new window to display minimal messages

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Nov 2015 18:20:48 +0200

> From: David Reitter <[email-masked]>
> Date: Sat, 21 Nov 2015 21:28:21 -0500
> Cc: [email-masked]
> 
> > I can change it back to synchronous for the mentioned backends (Git, Hg, RCS) now; that's simple. The more advanced solution will have to be written by someone else then.
> 
> I would probably change it back for 25.1, and then someone (who’s the VC maintainer?) could work out a more sophisticated solution.  I think async+timeout will be neither difficult nor complicated.

FWIW, I think changing it back to synchronous would be a step
backward.

And I also won't like the appearing and disappearing window.  Just
using the popup window always sounds like a better solution.